* Q1 *

clear *
set mem 100m
use 04456-0001-Data.dta
desc
* state identifiers: STATE_ID STATE_NA

* Q2 *

* no coding here

* Q3 *

* a.

clear *
set mem 100m
use 04456-0001-Data.dta

* b.

keep if YEAR==1999

* c.

keep STATE_NA INC_RATE

* d.

sort STATE_NA
save incarceration, replace

* Q4 *

* a.

insheet using income.csv, comma clear names
desc

* b.

destring median_income, ignore(",") replace
su media

* c.

drop if state_na == ""

* d.

rename state_na STATE_NA

* e.

replace STATE_NA=substr(STATE_NA, 1, 10)

* f.

list
sort STATE
save income, replace

* Q5 *

merge STATE using incarceration
save merged, replace

* Q6 *

label var median_income "Median Household Income in 2000"
label var INC "Incarceration Rate per 100k Persons in 1999"

* Q7 *

tab _m
tab STATE_NA if _m==1

* Q8 *

scatter INC median_
graph export "incarceration.eps",as(eps) replace
cor INC median_
* they look negatively correlated (correlation = -0.22)

